pydo.genai.create_evaluation_dataset()
Generated on 9 Jun 2026
from pydo version
v0.36.0
Usage
client.genai.create_evaluation_dataset(
body={
"dataset_type": "EVALUATION_DATASET_TYPE_UNKNOWN",
"file_upload_dataset": {...},
"name": "example name",
},
)Description
To create an evaluation dataset, send a POST request to /v2/gen-ai/evaluation_datasets.
Parameters
dataset_typestring optionalfile_upload_datasetobject optionalFile to upload as data source for knowledge base.
Show child properties
original_file_namestring optionalExample:
example nameThe original file name
size_in_bytesstring optionalExample:
12345The size of the file in bytes
stored_object_keystring optionalExample:
example stringThe object key the file was stored as
namestring optionalExample:
example nameThe name of the agent evaluation dataset.
Request Sample
Response Example
More Information
See /v2/gen-ai/evaluation_datasets in the API reference for additional detail on responses, headers, parameters, and more.